#!/bin/ksh
set -exv
#module load netCDF-Fortran/4.2-foss-2015a

EXPID=s4 # Tag of ORAS4 on the ECFS repository 
DATASOURCE="ec:/emos/OCEA/4/0001/" # Root of the path where to find ORAS4 on ECFS
YEARI=1960
YEARF=2015 # Last year to download
MEMBER_LST="0 1 2 3 4" # List of members to download
MON_LST="0131 0228 0331 0430 0531 0630 0731 0831 0930 1031 1130 1231" # List of months to download in formate MMDD
YEAR=$YEARI 
config=O1L75 #resolution for the output grid

workdir=/scratch/Earth/$USER/ORAS4/
rm -f /scratch/Earth/$USER/ORAS4/*
mkdir -p $workdir
cd $workdir

echo $YEAR
for year in `seq $YEARI $YEARF`; do
    for mem in $MEMBER_LST ; do
	echo $mem
	for mon in $MON_LST ; do
	    
	    fileout=/esnas/releases/ic/ocean/ORCA1/s4/s4_fc${mem}_${YEAR}${mon}_restart.nc
	    if [ ! -e  ${fileout}.gz ]; then
		file=$(ecaccess-file-dir ${DATASOURCE}/opa${mem}/restart/${YEAR}/0001_${YEAR}${mon}_*_restart.tar.gz)
		ecaccess-file-get ${DATASOURCE}/opa${mem}/restart/${YEAR}/$file $file
		gunzip $file
		tar -xvf ${file/.gz/}
		rm -f *dat ${file/.gz/}
		mv 0001_${YEAR}${mon}_*_restart.nc /esnas/releases/ic/ocean/ORCA1/s4/s4_fc${mem}_${YEAR}${mon}_restart.nc 
		gzip $fileout
	    fi
	    echo bla
	done
    done
    YEAR=$((YEAR+1))
done



SHAREDDIR=/shared/earth/software/scripts/prep_restarts

. /home/Earth/cprodhom/tools/cfutools/transfer/loop_s4.sh ${YEARI} ${YEARF} "$MON_LST" $config $workdir  /esnas/autosubmit/con_files/mesh_mask_nemo.Ec3.2_O1L75.nc ${SHAREDDIR}/auxfiles/masks/Tofill_ecearth.v3.2.ORCA1L75.extrap.oras4.restarts.nc ${SHAREDDIR}/auxfiles/masks/Tofill_ecearth.v3.2.ORCA1L75.clim.nc


#create restart for ORCA1L46
#cp /home/Earth/cprodhom/tools/cfutools/transfer/loop_s4.sh loop_restarts_oras4.sh
#/home/Earth/cprodhom/tools/cfutools/prep_restarts/example/loop_restarts_oras4.sh .

#sed -i -e 's,'"year0="','"year0=${YEARI}"','  "$workdir/loop_restarts_oras4.sh"
#sed -i -e 's,'"yearf="','"yearf=${YEARF}"','  "$workdir/loop_restarts_oras4.sh"
#sed -i -e 's,'"lstMM=(  )"','"lstMM=( $MON_LST )"',' "$workdir/loop_restarts_oras4.sh"
#sed -i -e 's,'"TMPDIR="','"TMPDIR=$workdir"',' "$workdir/loop_restarts_oras4.sh"
#sed -i -e 's,'"config='O1L46'"','"config='$config'"',' "$workdir/loop_restarts_oras4.sh"

#chmod 755 $workdir/loop_restarts_oras4.sh
#. $workdir/loop_restarts_oras4.sh
